Package gov.nasa.gsfc.sscweb.schema

# Class OrbitGraphOptions

java.lang.Object
gov.nasa.gsfc.sscweb.schema.GraphOptions
gov.nasa.gsfc.sscweb.schema.OrbitGraphOptions

public class OrbitGraphOptions extends GraphOptions
SSC orbit graphing request options. <p>Java class for OrbitGraphOptions complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="OrbitGraphOptions"> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}GraphOptions"> <sequence> <element name="CoordinateSystem" type="{http://sscweb.gsfc.nasa.gov/schema}CoordinateSystem"/> <element name="Combined" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="XyView" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="XzView" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="YzView" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="XrView" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="SunToRight" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="ManualScale" type="{http://sscweb.gsfc.nasa.gov/schema}GraphScale" minOccurs="0"/> <element name="EvenAxesScale" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="ShowBowShockMagnetopause" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="SolarWindPressure" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/> <element name="ImfBz" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/> <element name="FormatOptions" type="{http://sscweb.gsfc.nasa.gov/schema}GraphFormatOptions" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `combined`
  Combine individual graphs into a single image.
  `protected CoordinateSystem`
  `coordinateSystem`
  Coordinate system.
  `protected boolean`
  `evenAxesScale`
  Whether even axes scales or even axes lengths should be employed.
  `protected GraphFormatOptions`
  `formatOptions`
  Output format options.
  `protected Float`
  `imfBz`
  IMF Bz value to use when displaying the bow shock and magnetopause (units of nT).
  `protected GraphScale`
  `manualScale`
  Scaling of graph.
  `protected boolean`
  `showBowShockMagnetopause`
  Whether bow shock and mangetopause should be shown.
  `protected Float`
  `solarWindPressure`
  Value of solar wind pressure to use when displaying the bow shock and magnetopause (units of nP).
  `protected boolean`
  `sunToRight`
  Orient graph so that the Sun is to the right.
  `protected boolean`
  `xrView`
  Request X-R view.
  `protected boolean`
  `xyView`
  Request X-Y view.
  `protected boolean`
  `xzView`
  Request X-Z view.
  `protected boolean`
  `yzView`
  Request Y-Z view.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrbitGraphOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CoordinateSystem`
  `getCoordinateSystem()`
  Coordinate system.
  `GraphFormatOptions`
  `getFormatOptions()`
  Output format options.
  `Float`
  `getImfBz()`
  IMF Bz value to use when displaying the bow shock and magnetopause (units of nT).
  `GraphScale`
  `getManualScale()`
  Scaling of graph.
  `Float`
  `getSolarWindPressure()`
  Value of solar wind pressure to use when displaying the bow shock and magnetopause (units of nP).
  `boolean`
  `isCombined()`
  Combine individual graphs into a single image.
  `boolean`
  `isEvenAxesScale()`
  Whether even axes scales or even axes lengths should be employed.
  `boolean`
  `isShowBowShockMagnetopause()`
  Whether bow shock and mangetopause should be shown.
  `boolean`
  `isSunToRight()`
  Orient graph so that the Sun is to the right.
  `boolean`
  `isXrView()`
  Request X-R view.
  `boolean`
  `isXyView()`
  Request X-Y view.
  `boolean`
  `isXzView()`
  Request X-Z view.
  `boolean`
  `isYzView()`
  Request Y-Z view.
  `void`
  `setCombined(boolean value)`
  Sets the value of the combined property.
  `void`
  `setCoordinateSystem(CoordinateSystem value)`
  Sets the value of the coordinateSystem property.
  `void`
  `setEvenAxesScale(boolean value)`
  Sets the value of the evenAxesScale property.
  `void`
  `setFormatOptions(GraphFormatOptions value)`
  Sets the value of the formatOptions property.
  `void`
  `setImfBz(Float value)`
  Sets the value of the imfBz property.
  `void`
  `setManualScale(GraphScale value)`
  Sets the value of the manualScale property.
  `void`
  `setShowBowShockMagnetopause(boolean value)`
  Sets the value of the showBowShockMagnetopause property.
  `void`
  `setSolarWindPressure(Float value)`
  Sets the value of the solarWindPressure property.
  `void`
  `setSunToRight(boolean value)`
  Sets the value of the sunToRight property.
  `void`
  `setXrView(boolean value)`
  Sets the value of the xrView property.
  `void`
  `setXyView(boolean value)`
  Sets the value of the xyView property.
  `void`
  `setXzView(boolean value)`
  Sets the value of the xzView property.
  `void`
  `setYzView(boolean value)`
  Sets the value of the yzView property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### coordinateSystem

    protected CoordinateSystem coordinateSystem
    Coordinate system.

  - ### combined

    protected boolean combined
    Combine individual graphs into a single image.

  - ### xyView

    protected boolean xyView
    Request X-Y view.

  - ### xzView

    protected boolean xzView
    Request X-Z view.

  - ### yzView

    protected boolean yzView
    Request Y-Z view.

  - ### xrView

    protected boolean xrView
    Request X-R view.

  - ### sunToRight

    protected boolean sunToRight
    Orient graph so that the Sun is to the right.

  - ### manualScale

    protected GraphScale manualScale
    Scaling of graph.

  - ### evenAxesScale

    protected boolean evenAxesScale
    Whether even axes scales or even axes lengths should be employed.

  - ### showBowShockMagnetopause

    protected boolean showBowShockMagnetopause
    Whether bow shock and mangetopause should be shown.

  - ### solarWindPressure

    protected Float solarWindPressure
    Value of solar wind pressure to use when displaying the bow shock and magnetopause (units of nP).

  - ### imfBz

    protected Float imfBz
    IMF Bz value to use when displaying the bow shock and magnetopause (units of nT).

  - ### formatOptions

    protected GraphFormatOptions formatOptions
    Output format options.

- ## Constructor Details

  - ### OrbitGraphOptions

    public OrbitGraphOptions()

- ## Method Details

  - ### getCoordinateSystem

    public CoordinateSystem getCoordinateSystem()
    Coordinate system.
    Returns:
      possible object is `CoordinateSystem`

  - ### setCoordinateSystem

    public void setCoordinateSystem(CoordinateSystem value)
    Sets the value of the coordinateSystem property.
    Parameters:
      `value` - allowed object is `CoordinateSystem`
    See Also:
      - `getCoordinateSystem()`

  - ### isCombined

    public boolean isCombined()
    Combine individual graphs into a single image.

  - ### setCombined

    public void setCombined(boolean value)
    Sets the value of the combined property.

  - ### isXyView

    public boolean isXyView()
    Request X-Y view.

  - ### setXyView

    public void setXyView(boolean value)
    Sets the value of the xyView property.

  - ### isXzView

    public boolean isXzView()
    Request X-Z view.

  - ### setXzView

    public void setXzView(boolean value)
    Sets the value of the xzView property.

  - ### isYzView

    public boolean isYzView()
    Request Y-Z view.

  - ### setYzView

    public void setYzView(boolean value)
    Sets the value of the yzView property.

  - ### isXrView

    public boolean isXrView()
    Request X-R view.

  - ### setXrView

    public void setXrView(boolean value)
    Sets the value of the xrView property.

  - ### isSunToRight

    public boolean isSunToRight()
    Orient graph so that the Sun is to the right.

  - ### setSunToRight

    public void setSunToRight(boolean value)
    Sets the value of the sunToRight property.

  - ### getManualScale

    public GraphScale getManualScale()
    Scaling of graph.
    Returns:
      possible object is `GraphScale`

  - ### setManualScale

    public void setManualScale(GraphScale value)
    Sets the value of the manualScale property.
    Parameters:
      `value` - allowed object is `GraphScale`
    See Also:
      - `getManualScale()`

  - ### isEvenAxesScale

    public boolean isEvenAxesScale()
    Whether even axes scales or even axes lengths should be employed.

  - ### setEvenAxesScale

    public void setEvenAxesScale(boolean value)
    Sets the value of the evenAxesScale property.

  - ### isShowBowShockMagnetopause

    public boolean isShowBowShockMagnetopause()
    Whether bow shock and mangetopause should be shown.

  - ### setShowBowShockMagnetopause

    public void setShowBowShockMagnetopause(boolean value)
    Sets the value of the showBowShockMagnetopause property.

  - ### getSolarWindPressure

    public Float getSolarWindPressure()
    Value of solar wind pressure to use when displaying the bow shock and magnetopause (units of nP).
    Returns:
      possible object is `Float`

  - ### setSolarWindPressure

    public void setSolarWindPressure(Float value)
    Sets the value of the solarWindPressure property.
    Parameters:
      `value` - allowed object is `Float`
    See Also:
      - `getSolarWindPressure()`

  - ### getImfBz

    public Float getImfBz()
    IMF Bz value to use when displaying the bow shock and magnetopause (units of nT).
    Returns:
      possible object is `Float`

  - ### setImfBz

    public void setImfBz(Float value)
    Sets the value of the imfBz property.
    Parameters:
      `value` - allowed object is `Float`
    See Also:
      - `getImfBz()`

  - ### getFormatOptions

    public GraphFormatOptions getFormatOptions()
    Output format options.
    Returns:
      possible object is `GraphFormatOptions`

  - ### setFormatOptions

    public void setFormatOptions(GraphFormatOptions value)
    Sets the value of the formatOptions property.
    Parameters:
      `value` - allowed object is `GraphFormatOptions`
    See Also:
      - `getFormatOptions()`